Bug 477106 - Review Request: unalz - Decompression utility
Review Request: unalz - Decompression utility
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2008-12-18 23:40 EST by Orcan Ogetbil
Modified: 2009-02-14 19:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 00:13:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2008-12-18 23:40:53 EST
Spec URL: http://oget.fedorapeople.org/review/unalz.spec
SRPM URL: http://oget.fedorapeople.org/review/unalz-0.62-1.fc10.src.rpm
Description: 
Unalz is a utility to decompress .alz files. It supports bzip2/raw
format transformation, splitting the compressed file into smaller
chunks (alz, a00, a01, ...), extract password protected .alz files,
and CRC checks.

rpmlint is silent. 

Alzip is a commercial software: http://www.altools.com/
unalz is a free decompressor for alzip (Korean): http://www.kipple.pe.kr/win/unalz/
I'm not sure if this software can be shipped with Fedora, hence I'm blocking FE-Legal.

This software normally comes with its own zlip and bzip2. I managed to patch it to use the system's zlib. But it uses a private header file of bzip2 (which is not in bzip2-devel package) and thus (part of) bzip2 has to be built in unalz.
This is the way it is in Ubuntu too.
Comment 1 Warren Togami 2008-12-19 00:13:39 EST
http://www.kipple.pe.kr/etc/freeware_license/
This is clearly not FOSS.  It contains commercial distribution prohibitions, it allows distribution only unmodified, and says patches must be distributed separately.  It even explicitly mentions "free software" and the GPL and says that it is different from that. 

Sorry.
Comment 2 Changwoo Ryu 2009-02-14 19:53:04 EST
Now that web page does not refer the non-free "freeware license" (which was actually for win32 exe file distribution) anymore. And new version 0.64 has zlib-license permission notices in the source code, though some files still lack them. 

IMO that ambigously linked piece of text in the homepage is not a clear sign of non-freeness.

Note You need to log in before you can comment on or make changes to this bug.